Update a bookkeeping category group
curl --request PUT \
--url https://external.pleo.io/v1/bookkeeping-category-groups/{categoryGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"name": "<string>",
"metadata": {}
}
'import requests
url = "https://external.pleo.io/v1/bookkeeping-category-groups/{categoryGroupId}"
payload = {
"archived": True,
"name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({archived: true, name: '<string>', metadata: {}})
};
fetch('https://external.pleo.io/v1/bookkeeping-category-groups/{categoryGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"archived": false,
"companyId": "123e4567-e89b-12d3-a456-426614174006",
"id": "123e4567-e89b-12d3-a456-426614174005",
"name": "Entertainment",
"type": "ENTERTAINMENT"
}
}Category groups
Update a bookkeeping category group
Updates an existing bookkeeping category group in Pleo.
PUT
/
v1
/
bookkeeping-category-groups
/
{categoryGroupId}
Update a bookkeeping category group
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
ID of the bookkeeping category group to update.
Body
application/json;charset=UTF-8
Boolean flag used to archive or unarchive a bookkeeping category group (when set to true, bookkeeping category group is neither visible nor usable on the platform).
Name of the bookkeeping category group.
Maximum string length:
255Bookkeeping category group types supported by Pleo. Used to classify category groups in frontend.
Available options:
ENTERTAINMENT, EQUIPMENT_AND_HARDWARE, MARKETING_AND_ADVERTISING, MEALS_AND_DRINKS, OFFICE_EXPENSES, PHONE_AND_INTERNET, SERVICES_AND_CONSULTANCY, SOFTWARE, SUPPLIES, TRAVEL, OTHER, NO_SUITABLE_CATEGORY Place for API users to store flexible data.
Show child attributes
Show child attributes
Response
Bookkeeping category group updated successfully.
Show child attributes
Show child attributes
Was this page helpful?